# Move-RASRDSHostPoolMember.md

## NAME

Move-RASRDSHostPoolMember

## SYNOPSIS

Moves one or multiple RD Session Host servers to a host pool.

## SYNTAX

\*\*Move-RASRDSHostPoolMember \[[HostPoolId](#hostpoolid-string)] *(uint)* \[-[RDSIds](#RDSIds)] *(uint\[])* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Move-RASRDSHostPoolMember \[[HostPoolId](#hostpoolid-string)] *(uint)* -[RDSServer](#rdsserver-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Move-RASRDSHostPoolMember \[[HostPoolName](#hostpoolname-string)] *(string)* -[RDSObject](#RDSObject) *(*[*RDSHost\[\]*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshost.md)*)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Move-RASRDSHostPoolMember \[[HostPoolName](#hostpoolname-string)] *(string)* -[RDSServer](#rdsserver-string) *(string)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Move-RASRDSHostPoolMember \[-[HostPoolObject](#HostPoolObject)] *(*[*RDSHostPool*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md)*)* -[RDSObject](#RDSObject) *(*[*RDSHost\[\]*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshost.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Move-RASRDSHostPoolMember \[-[HostPoolObject](#HostPoolObject)] *(*[*RDSHostPool*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md)*)* -[RDSServer](#rdsserver-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Moves one or multiple RD Session Host servers to an existing host pool.

## PARAMETERS

## HostPoolName (string)

RD Session Host Pool name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID where the RD Session Host Pool is located.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostPoolId (uint)

The ID of the target RD Session Host Pool.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostPoolObject ([RDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md))

An object of type RDS Group identifying the target RD Session Host Pool.

The object is obtained using the Get-RASRDSHostPool cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## RDSServer (string)

The name of a RD Session Host server to add to the group.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RDSObject ([RDSHost\[\]](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshost.md))

A list of RD Session Host servers (an array of objects of type RDS) to add to the group.

A RDS object representing a RD Session Host server is obtained using the Get-RDS cmdlet.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RDSIds (uint\[])

The IDs of RD Session Host servers to be added to the specified group.

```
        Required?                    true

        Position?                    1

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[RDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Move-RASRDSHostPoolMember "My RD Session Host Pool" -RDSServer "server.company.dom"

Moves the specified RD Session Host server to the specified host pool.\
\*\*---------- EXAMPLE 2 ----------

Move-RASRDSHostPoolMember "My RD Session Host Pool" -RDSObject $RDSList

Moves a list of RD Session Host servers ($RDSList) to the specified host pool.

The $RDSList variable is an array of objects of type RDS. An RDS object representing an RD Session Host server is obtained using the Get-RASRDSHost cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Move-RASRDSHostPoolMember $RDSHostPool -RDSServer "server.company.dom"

Moves the specified RD Session Host server to the host pool specified by the $RDSHostPool variable.

$RDSHostPool is an object of type RDSHostPool, which is obtained using the Get-RASRDSHostPool cmdlet.\
\*\*---------- EXAMPLE 4 ----------

Get-RASRDSHostPool "My RD Session Host Pool" | Move-RASRDSHostPoolMember -RDSServer "server.company.dom"

Moves the specified RD Session Host server to the host pool obtained from the pipeline output.

## RELATED LINKS

* [Get-RASRDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshost.md)
* [New-RASRDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasrdshost.md)
* [Get-RASRDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshostpool.md)
* [Get-RASRDSHostPoolMember](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshostpoolmember.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/move-rasrdshostpoolmember.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
